
<?php

require_once 'core/system.php';


head('Банда');





reg();


$dop=$dbc->query("SELECT * FROM `dop`where `user`= '".$user['id']."' ")->fetch_assoc(); 

$banda=$dbc->query("SELECT * FROM `banda`where `id`= '".$user['banda']."' ")->fetch_assoc(); 

if($banda['dung']==1){  ?>Ваша Банда собралась пройти подземелье Астрал<?}
if($banda['dung']==2){  ?>Ваша Банда собралась пройти подземелье Болота<?}

if($banda['dung']==3){  ?>Ваша Банда собралась пройти подземелье Логово Дракона<?}


if($banda['dung']==4){  ?>Ваша Банда собралась пройти подземелье Кровавые Залы<?}


$sql =$dbc->query("SELECT `id`,`banda`,`login`,`storona`,`pers` FROM `users` WHERE `banda`='".$banda['id']."'");

if($user['banda']<=0){ header('location: dung.php'); exit; }
if($banda['war']==1){ header('location: dung_war.php'); exit; }

if(isset($_GET['exit'])){



if($user['id']==$banda['lider']){ header('location:banda.php');exit;}






$dbc->query("UPDATE `users` SET `banda`=0 WHERE `id`='".$user['id']."'");
$dbc->query("UPDATE `dop` SET `banda`=0 WHERE `user`='".$user['id']."'");


$dbc->query("UPDATE `banda` SET `lim`=`lim`-1 WHERE `id`='".$user['banda']."'");



header('location:dung.php');exit; 


}
if(isset($_GET['start'])){

if($user['id']!=$banda['lider']){ header('location:banda.php');exit;}

if($banda['lim']<3){ header('location:banda.php');exit;}


$dbc->query("UPDATE `banda` SET `war`=1 WHERE `id`='".$user['banda']."'");
$sql =$dbc->query("SELECT * FROM `users` WHERE `banda`='".$user['banda']."' AND `id`!='".$user['id']."'"); 




while($pas=$sql->fetch_assoc()){ 


$dbc->query("INSERT INTO `journal` SET `user_id`='".$pas['id']."', `text`='Лидер Начал Бой в Подземелье. <br><a id=\"link_button\" href=\"dung_war.php\">В Бой</a>',




    `time`='".time()."'");
$dbc->query("UPDATE `users` SET `journal`=`journal`+1 WHERE `id`='".$pas['id']."'"); }

header('location:banda.php');exit;




}
if($user['vip']==1){ $pr = 1; }else{ $pr=5; }
if(isset($_GET['farm_start'])){

if($user['id']!=$banda['lider']){ header('location:banda.php');exit;}

if($banda['lim']>1){ $_SESSION['message']='Вы не один в банде'; header('location:banda.php');exit;}
if($user['gold']<5){ $_SESSION['message']='Не Достаточно Золота'; header('location:banda.php');exit;}




$dbc->query("UPDATE `banda` SET `war`=1 WHERE `id`='".$user['banda']."'");

$dbc->query("UPDATE `users` SET `gold`=`gold`-'".$pr."' WHERE `id`='".$user['id']."'");




header('location:banda.php');exit;




} 
if(isset($_GET['del'])){


if($user['id']!=$banda['lider']){ header('location:banda.php');exit;}






$dbc->query("UPDATE `users` SET `banda`=0 WHERE `banda`='".$user['banda']."'");
$dbc->query("UPDATE `dop` SET `banda`=0 WHERE `banda`='".$user['banda']."'");






$dbc->query("delete from `banda` WHERE `id`='".$user['banda']."'"); header('location:dung.php');exit; 
















}
if($user['id']==$banda['lider'] and $banda['lim']==1){ ?><center>

<span class="info">Вы можете начать Бой в одиночку, за 5 золота (c vip -статусом 1).. или собрать банду минимум из троих игроков</span></br><a href="banda.php?farm_start"><input class="btn big" type="submit" value="Начать Бой"></a></center><? }




if($user['id']==$banda['lider'] and $banda['lim']>=3){ ?><center><a href="banda.php?start"><input class="btn big" type="submit" value="Начать Бой "></a></center><? }

?><center> <span class="iLegendary">Состав Банды(<?=$banda['lim']?>/6)</span></center><?




while($inf=$sql->fetch_assoc()){
if($inf['id']==$banda['lider']){ $lid ='<span class="info">Лидер</span>'; }else{ $lid =''; }
?><a class="link-panel no-arr" href="/pers.php?ank=<?=$inf['id']?>"> <img src="img/class/<?=$inf['storona']?>/<?=$inf['pers']?>/pers.png" width="14" height="14" alt="*"><?=$inf['login']?></b>   <?=$lid?></a><?







}



if($banda['dung']==2){ 
?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><?

?><span class="iLegendary">Добыча для Воина</span></br><?


$sql =$dbc->query("SELECT * FROM `dung_item` WHERE `class`=1 and `dung`=2");

while($inf=$sql->fetch_assoc()){ ?><a href="dung_item.php?ids=<?=$inf['id']?>" class="<?=$inf['lite']?>"><?=$inf['nik']?></a>

 <? }

?></br><span class="iLegendary">Добыча для Мага</span></br><?

$sql =$dbc->query("SELECT * FROM `dung_item` WHERE `class`=2 and `dung`=2");

while($inf=$sql->fetch_assoc()){ ?><a href="dung_item.php?ids=<?=$inf['id']?>" class="<?=$inf['lite']?>"><?=$inf['nik']?></a>

 <? } 

?></div></div><?


} 


if($banda['dung']==1){ 
?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><?

?><span class="iLegendary">Добыча для Воина</span></br><?


$sql =$dbc->query("SELECT * FROM `dung_item` WHERE `class`=1 and `dung`=1");

while($inf=$sql->fetch_assoc()){ ?><a href="dung_item.php?ids=<?=$inf['id']?>" class="<?=$inf['lite']?>"><?=$inf['nik']?></a>

 <? }

?></br><span class="iLegendary">Добыча для Мага</span></br><?

$sql =$dbc->query("SELECT * FROM `dung_item` WHERE `class`=2 and `dung`=1");

while($inf=$sql->fetch_assoc()){ ?><a href="dung_item.php?ids=<?=$inf['id']?>" class="<?=$inf['lite']?>"><?=$inf['nik']?></a>

 <? } 

?></div></div><?


}


if($banda['dung']==3){ 
?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><?






?></br><span class="iLegendary">Возможная Награда</span></br><?

?><img src="img/res/min.png">25 <img src="img/res/med.png">10 <img src="img/res/mag.png">4  Свиток Охотника х3</br><?






?></div></div><?


} 


if($user['id']==$banda['lider']){ ?><center><a href="banda.php?del"><input class="btn big" type="submit" value="Распустить Банду "></a></center><? }else{ ?><center><a href="banda.php?exit"><input class="btn big" type="submit" value="Покинуть Банду "></a></center><? }





foot();
